<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class Doubridge_Log {
    private $handle;

	public function __construct( $filename ) {
		$this->handle = fopen(DOUBRIDGE_PATH . 'log/' . $filename, 'a');
	}

	public function write( $message ) {
		fwrite($this->handle, date('Y-m-d G:i:s') . ' - ' . print_r($message, true) . PHP_EOL);
	}

	public function __destruct() {
		fclose($this->handle);
	}
}
